import { read } from "fs";
import { loadConfig } from "./src/config";
import { SMBReader } from "./src/smbreader";
import Q from "q";

async function main() {
	const config = await loadConfig();
	const reader = new SMBReader("Fetcher");
	await reader.init();
	while (true) {
		await reader.run();
		await Q.delay(config.fetchInterval);
	}
}
main();
